import workerManView from "../../components/PopWindowGis/workerManView.vue";
import createPop from "../createPop";
export const inspector = {

  /**
   * 设置值班人员事件
   * @param markerType
   * @param marker
   * @param data
   * @param infoWindow
   * @param gaoMap
   */
  setMarkerEvent : function(markerType,marker,data,infoWindow,gaoMap){
    const {
      createTime,
      locationId,
      longitude,
      latitude,
      userId,
      type
    } = data;
    marker.setExtData({
      createTime,
      locationId,
      pos: [longitude, latitude],
      deviceType: type,
      userId
    });

    marker.markerType = markerType;
    marker.data = data;
    marker.infoWindow = infoWindow;
    marker.on("mouseover", this.wokerManOpen);
    marker.on("mouseout", e => {
      e.target.infoWindow.close();
      gaoMap.domAllShow();
    });

    marker.on("mousedown", e => {
      // console.log(data);
      gaoMap.closeInfoWindow();
      if (marker.workerPoint) return;
      this.workerManView({
        title: "值班人员轨迹回放",
        target: marker,
        userId
      });
    });
    gaoMap.workerManMarkArr = [];
    // workerPoint不加入数组
    if (!marker.workerPoint) {
      gaoMap.workerManMarkArr.push(marker);
    }
  },
  workerManView : function(options) {
    // const {} =options;
    const notice = createPop(workerManView, {
      ...options,
      gaodeMap: this.gaodeMap.myMap
    });
    notice.show();
  }
}
