import {DEVICE_TYPE, map} from "../gaodeMapView";
import markerInfoWindowWarn from "../../components/PopWindowGis/markerInfoWindowWarn.vue";
import markerInfoWindow from "../../components/PopWindowGis/markerInfoWindow.vue";
import createPop from "../createPop";
export const ranqi = {
  gaoMap:{},
  markerType:"",
  /**
   * 燃气设备 阀门井、调压箱、流量计、压力表
   * @param markerType
   * @param marker
   * @param data
   * @param infoWindow
   * @param gaoMap
   */
  setMarkerEvent : function(markerType,marker,data,infoWindow,gaoMap){
    this.gaoMap = gaoMap;
    marker.infoWindow = infoWindow;
    marker.on("mousedown", this.infoOpen);
    marker.on("mouseout", this.infoClose);
    marker.setExtData(data);
    this.markerType = markerType;
  },
  // 鼠标移入设备时候实行的函数
  infoOpen : function (e){
    if (e.target.getExtData().alarmState == 1) {
      if (e.target.getExtData().deviceType == 4) {
        ranqi.markerType = "7";
      } else if (e.target.getExtData().deviceType <= 3) {
        ranqi.markerType = +e.target.getExtData().deviceType + 1 + "";
      }
      // 警告状态这样就要换infowindow
      e.target.content = this.getMarketContent(
        e.target.getExtData(),
        markerInfoWindowWarn
      );
    } else {
      // 上图状态跟后台状态不统一，所以需要判断一下
      if (e.target.getExtData().deviceType == 4) {
        ranqi.markerType = "7";
      } else if (e.target.getExtData().deviceType <= 3) {
        ranqi.markerType = +e.target.getExtData().deviceType + 1 + "";
      }
      e.target.content = this.getMarketContent(
        e.target.getExtData(),
        markerInfoWindow
      );
    }

    let options = ranqi.gaoMap.myMap.getStatus();
    options.scrollWheel = false;
    ranqi.gaoMap.myMap.setStatus(options);
    e.target.infoWindow.setContent(e.target.content);
    e.target.infoWindow.open(map, e.target.getPosition());
    // 检测是否碰到底部的bottomData
    ranqi.gaoMap.myMap.boxCollision(e.target.infoWindow.dom);
    ranqi.gaoMap.myMap.markerInfoWindow = e.target.infoWindow;
  },
  infoClose : function () {
    let options = ranqi.gaoMap.myMap.getStatus();
    options.scrollWheel = true;
    ranqi.gaoMap.myMap.setStatus(options);
  },
  getMarketContent :function(Data,markerInfoWindow){
    let data = { ...Data };
    data.class = ranqi.gaoMap;
    switch (ranqi.markerType) {
      case "2": {
        const dom = createPop(markerInfoWindow, {
          title: "调压箱",
          data: data,
          map: ranqi.gaoMap
        });
        const html = dom.$el;
        dom.remove();
        return html;
      }
      case "3": {
        const dom = createPop(markerInfoWindow, {
          title: "阀门井",
          data: data,
          map: ranqi.gaoMap
        });
        const html = dom.$el;
        dom.remove();
        return html;
      }
      case "4": {
        const dom = createPop(markerInfoWindow, {
          title: "流量计",
          data: data,
          map: ranqi.gaoMap
        });
        const html = dom.$el;
        dom.remove();
        return html;
      }
      case "7": {
        const dom = createPop(markerInfoWindow, {
          title: "压力表",
          data: data,
          map: ranqi.gaoMap
        });
        const html = dom.$el;
        dom.remove();
        return html;
      }
    }
  }

};
