import createPop from "../createPop";
import troubleInfoWindowWarn from "../../components/PopWindowGis/troubleInfoWindowWarn.vue";
import {alarm} from "./alarmDevice";

export const trouble = {
  gaoMap:{},
  /**
   * 设置值班人员事件
   * @param markerType
   * @param marker
   * @param data
   * @param infoWindow
   * @param gaoMap
   */
  setMarkerEvent : function(markerType,marker,data,infoWindow,gaoMap){
    this.gaoMap = gaoMap;
    marker.markerType = markerType;
    marker.data = data;
    marker.infoWindow = infoWindow;
    let that =this;
    //将方法绑定到对象
    gaoMap.troubleOpen = that.troubleOpen;
    marker.on("mousedown", that.troubleOpen);
    marker.setExtData(data);
    if(! gaoMap.troubles){
      gaoMap.troubles = [];
    }
    gaoMap.troubles.push(marker);
  },
  getMarketContent: function(Data) {
    let data = { ...Data };
    data.class = trouble.gaoMap;
    const dom = createPop(troubleInfoWindowWarn, {
      title: "隐患",
      data: data,
      map: trouble.gaoMap.myMap
    });
    const html = dom.$el;
    dom.remove();
    return html;
  },
  troubleOpen : function (e) {
    trouble.gaoMap.markerType = e.target.markerType;
    e.target.content = trouble.getMarketContent(e.target.data);
    e.target.infoWindow.setContent(e.target.content);
    e.target.infoWindow.open(trouble.gaoMap.myMap, e.target.getPosition());
    trouble.gaoMap.boxCollision(e.target.infoWindow.dom);
    trouble.gaoMap.workerManInfoWindow = e.target.infoWindow;
  }
};
