import {map} from "../gaodeMapView";
import createPop from "../createPop";
import videoView from "../../components/PopWindowGis/videoView.vue";
import videoInfowindow from "../../components/PopWindowGis/videoInfowindow.vue";
export const video = {
  gaoMap:{},
  /**
   * 设置摄像头事件
   * @param markerType
   * @param marker
   * @param data
   * @param infoWindow
   * @param gaoMap
   */
  setMarkerEvent : function(markerType,marker,data,infoWindow,gaoMap){
    this.gaoMap = gaoMap;
    gaoMap.videoOpen = this.videoOpen;
    // 摄像头
    const {
      longitude,
      latitude,
      videoName,
      videoManagerId,
      resourceId,
      videoAddress,
      type
    } = data;
    marker.setExtData({
      videoManagerId,
      videoName,
      videoAddress,
      resourceId,
      pos: [longitude, latitude],
      deviceType: type
    });
    marker.markerType = markerType;
    marker.data = data;
    marker.infoWindow = infoWindow;
    marker.on("mouseover", this.videoOpen);
    marker.on("mouseout", e => {
      e.target.infoWindow.close();
      gaoMap.domAllShow();
    });
    marker.on("mousedown", e => {
      gaoMap.closeInfoWindow();
      this.videoView({
        title: "监控",
        target: marker,
        videoManagerId,
        resourceId
      });
    });
    if(!gaoMap.cameras){
      gaoMap.cameras = [];
    }
    gaoMap.cameras.push(marker);
  },
  videoView : function(options) {
    // const {} =options;
    const notice = createPop(videoView, {
      ...options,
      gaodeMap: this.gaoMap
    });
    notice.show();
  },
  //摄像头
  videoOpen : function (e){
    video.gaoMap.markerType = e.target.markerType;
    e.target.content = video.getMarketContent(e.target.data,video.gaoMap);
    e.target.infoWindow.setContent(e.target.content);
    e.target.infoWindow.setOffset(new AMap.Pixel(24, -38));
    e.target.infoWindow.open(map, e.target.getExtData().pos);
    video.gaoMap.boxCollision(e.target.infoWindow.dom);
    video.gaoMap.workerManInfoWindow = e.target.infoWindow;
  },
  getMarketContent: function(Data) {
    let data = { ...Data };
    data.class = video.gaoMap;
    const dom = createPop(videoInfowindow, {
      title: "video",
      data: data,
      map: video.gaoMap.myMap
    });
    const html = dom.$el;
    dom.remove();
    return html;
  }

};
